Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 555939 - Make about: link SeaMonkey website and relnotes
: Make about: link SeaMonkey website and relnotes
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.1a3
Assigned To: Robert Kaiser
Depends on: 349985
  Show dependency treegraph
Reported: 2010-03-30 05:10 PDT by Robert Kaiser
Modified: 2010-08-02 10:58 PDT (History)
7 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

fork about.xhtml and make it take over about: with chrome privs (9.87 KB, patch)
2010-03-30 05:13 PDT, Robert Kaiser
bugspam.Callek: review+
Details | Diff | Splinter Review
v1.1.: updated patch for entity changes (10.70 KB, patch)
2010-07-28 11:15 PDT, Robert Kaiser
kairo: review+
neil: superreview+
Details | Diff | Splinter Review

Description Robert Kaiser 2010-03-30 05:10:59 PDT
As about: is the main "About SeaMonkey" location (we don't have a separate dialog), we really want to have our website and the relnotes linked there.

If bug 349985 doesn't work out until our next milestone, I have a patch in store that forks about.xhtml and calls it with chrome privs and script always enabled, so that we get what we need there.
Comment 1 Robert Kaiser 2010-03-30 05:13:57 PDT
Created attachment 435877 [details] [diff] [review]
fork about.xhtml and make it take over about: with chrome privs

Here's my patch we can take if the global stuff doesn't work out as we'd like.
Comment 2 Philip Chee 2010-03-30 05:47:19 PDT
> +#expand <p id="version">&about.version; __MOZ_APP_VERSION__</p>

You know if we have chrome privileges we can just do:

        .textContent ="&about.version; " + Application.version;

No need to pre-process the file.
Comment 3 Robert Kaiser 2010-03-30 06:07:37 PDT
Philip, sure, we could look into that, but for now I copied what the global about.xhtml does, as the patch here is considered to be just a wallpaper over toolkit not getting things we need, I don't consider the patch a real solution to the problem. And as I still have a small amount of hope that toolkit might do something, this isn't even up for review, it's just here for potentially picking up later.
Comment 4 Robert Kaiser 2010-05-07 02:48:58 PDT
pushing off to a2, as bug 349985 is only waiting for sr right now.
Comment 5 Justin Wood (:Callek) 2010-06-21 00:32:11 PDT
Comment on attachment 435877 [details] [diff] [review]
fork about.xhtml and make it take over about: with chrome privs

untested, but everything looks right. And I'd love to have this working in a2; but I'm ok with pushing off for a3 pending the about:* privs bug.
Comment 6 Justin Wood (:Callek) 2010-06-21 15:00:19 PDT
[now that we have an a3 flag, I'm happier pushing the blocking status off, but still would be good for a2]
Comment 7 Robert Kaiser 2010-07-28 11:15:04 PDT
Created attachment 460931 [details] [diff] [review]
v1.1.: updated patch for entity changes

This just updates for entity changes made on the toolkit version in bug 435550.

I'm now tired of waiting for the security sr from dveditz in the other bug, but requesting sr from Neil to make sure we don't load release notes with chrome privs when clicking the link, I hope he can confirm my assumption that we safely go back to normal content privs when following such a link there.

I'm also thinking about things we could do with this about: tab that possibly deviate from the general toolkit file anyhow, so there might be more than the original reason in the future to have this override in place.
Comment 8 Robert Kaiser 2010-07-31 09:38:50 PDT
Pushed as
Comment 9 Robert Kaiser 2010-08-02 10:58:32 PDT
I forgot to package the new file, fixed that up in

Note You need to log in before you can comment on or make changes to this bug.